The Joomla! Forum ™



Forum rules


Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.



Post new topic Reply to topic  [ 6 posts ] 
Author Message
PostPosted: Fri Aug 07, 2009 9:49 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Sun Jun 28, 2009 3:39 am
Posts: 15
Im getting these on most of my component pages:

Code:
Warning: Missing argument 3 for plgContentplg_iframe::onPrepareContent() in /home/users/public_html/**mysite.com**/plugins/content/plg_iframe.php on line 57

Warning: Missing argument 3 for mb_videobot() in /home/users/public_html/**mysite.com**/plugins/content/azvideobot.php on line 8

Warning: Missing argument 3 for plgContenteventDirections::onPrepareContent() in /home/users/public_html/**mysite.com**/plugins/content/eventdirections.php on line 343

Warning: Missing argument 3 for plgContentRokbox::onPrepareContent() in /home/users/public_html/**mysite.com**/plugins/content/rokbox.php on line 26


I upgraded to 1.5.13, had the ill-famed TinyMCE error, so then turned around and upgraded to 1.5.14. That took care of the TinyMCE error, but now having the above on most of my linked component pages.

Thoughts on how to rectify, anyone?
Thank you.
DM


Top
 Profile  
 
PostPosted: Sat Aug 08, 2009 1:33 am 
User avatar
Joomla! Champion
Joomla! Champion

Joined: Sat Aug 16, 2008 1:46 pm
Posts: 5538
Location: the Bat Cave
This error is for four plugins that are not a part of the default Joomla install. If you do not use them try disabling them.
plg_iframe.php
azvideobot.php
eventdirections.php
rokbox.php


Top
 Profile  
 
PostPosted: Sat Aug 08, 2009 5:31 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Sun Jun 28, 2009 3:39 am
Posts: 15
Well of course i use them.
And i know they arent part of the install.
The point is, there was no error until 1.5.14


Top
 Profile  
 
PostPosted: Sun Aug 09, 2009 4:54 am 
User avatar
Joomla! Champion
Joomla! Champion

Joined: Sat Aug 16, 2008 1:46 pm
Posts: 5538
Location: the Bat Cave
Then either Joomla is in error or the plugins are no longer compatible with the latest version of Joomla. Check the extension creator's site to see if there is an update for the plugins. Failing that you might try uploading the complete file set for 1.5.14 except the installation folder. Check your FTP logs to be sure all files were uploaded and overwrote the old files. It could be you have a missing or corrupt Joomla file.

The latest changes to Joomla effected the way overrides work for the default templates and the default editor has been updated. Could that have effected your plugins?


Top
 Profile  
 
PostPosted: Tue Sep 15, 2009 8:32 pm 
User avatar
Joomla! Ace
Joomla! Ace

Joined: Thu May 01, 2008 12:36 pm
Posts: 1156
Location: QubeSys Technologies Pvt. Ltd ,INDIA
o, here is the solution. Just open that file and do this.

function onPrepareContent( &$article, &$params, $limitstart )

Replace it with,

function onPrepareContent( &$article, &$params, $limitstart = null )

or

function onPrepareContent( &$article, &$params)

Both should work. So try doing any one of them. Thats it..

_________________
Web Design, eCommerce and Software Development
Joomla Premium Extensions,Templates and Support Packages


Top
 Profile  
 
PostPosted: Tue Sep 15, 2009 8:43 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Sun Jun 28, 2009 3:39 am
Posts: 15
Thank you, SOAMJENA.
I just wiped everything out and started all over.
Im back where I was and without error.
But hopefully this find of yours can help another in that situation.
Thank you for posting. :)


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 6 posts ] 



Who is online

Users browsing this forum: No registered users and 11 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
Powered by phpBB® Forum Software © phpBB Group